Agora RTC Objective-C API Reference Refactor

Properties
AgoraRtcEngineConfig Class Reference

Inherits <NSObject>.

## Properties
NSString *_Nullable | appId
AgoraChannelProfile | channelProfile
NSString *_Nullable | license
AgoraAudioScenario | audioScenario
AgoraAreaCodeType | areaCode
AgoraThreadPriorityType | threadPriority
BOOL | domainLimit
BOOL | autoRegisterAgoraExtensions

## Detailed Description

The config of AgoraRtcEngine.

## Property Documentation

## ◆ appId

- (NSString* _Nullable) appId
| read write nonatomic copy

The App ID issued to the developers by Agora. Apply for a new one from Agora if it is missing from your kit.

## ◆ channelProfile

- (AgoraChannelProfile) channelProfile
| read write nonatomic assign

The channel profile. See AgoraChannelProfile.

## ◆ license

- (NSString* _Nullable) license
| read write nonatomic copy

The license used for verification when connectting channel. Charge according to the license

## ◆ audioScenario

- (AgoraAudioScenario) audioScenario
| read write nonatomic assign

The audio application scenario. See AgoraAudioScenario.

Note
  Agora recommends the following scenarios:
  - `AgoraAudioScenarioDefault = 0`
  - `AgoraAudioScenarioGameStreaming = 3`

## ◆ areaCode

- (AgoraAreaCodeType) areaCode
| read write nonatomic assign

The region for connection. This advanced feature applies to scenarios that have regional restrictions.

For the regions that Agora supports, see AgoraAreaCodeType.

After specifying the region, the SDK connects to the Agora servers within that region.

## ◆ logConfig

- (AgoraLogConfig* _Nullable) logConfig
| read write nonatomic strong

## ◆ threadPriority

- (AgoraThreadPriorityType) threadPriority
| read write nonatomic assign

Thread priority for SDK common threads

See AgoraThreadPriorityType.

## ◆ eventDelegate

- (id<AgoraMediaFilterEventDelegate> _Nullable) eventDelegate
| read write nonatomic weak

## ◆ domainLimit

- (BOOL) domainLimit
| read write nonatomic assign

Determines whether to enable domain limit.

- `true`: only connect to servers that already parsed by DNS
- `false`: (Default) connect to servers with no limit

## ◆ autoRegisterAgoraExtensions

- (BOOL) autoRegisterAgoraExtensions
| read write nonatomic assign

Whether to automatically register Agora extensions when initializing RtcEngine. -true: (Default) Automatically register Agora extensions. -false: Do not automatically register Agora extensions. The user calls EnableExtension to manually register an Agora extension.